-----

Documentation: [html](https://docs-beta.ethers.io/)

-----

Other Libraries
===============


Now that ethers is more modular, it is possible to have additional
ancillary packages, which are not part of the core but optionally
add functionality only needed in certain situations.


* [Assembly](assembly)
  * [Ethers ASM Dialect](assembly/dialect)
    * [Opcodes](assembly/dialect)
    * [Labels](assembly/dialect)
    * [Literals](assembly/dialect)
    * [Comments](assembly/dialect)
    * [Scopes](assembly/dialect)
    * [Data Segment](assembly/dialect)
    * [Links](assembly/dialect)
    * [Stack Placeholders](assembly/dialect)
    * [Evaluation and Excution](assembly/dialect)
  * [Utilities](assembly/api)
    * [Assembler](assembly/api)
    * [Disassembler](assembly/api)
    * [Opcode](assembly/api)
  * [Abstract Syntax Tree](assembly/ast)
    * [Types](assembly/ast)
    * [Nodes](assembly/ast)
* [Hardware Wallets](hardware)
  * [LedgerSigner](hardware)



-----
**Content Hash:** 90507a9035452f2463c81dc6ce204622750f4781dd52673cf666afae6e607577